/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.driver;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.CallableStatement;
import java.sql.Clob;
import java.sql.Connection;
import java.sql.Date;
import java.sql.NClob;
import java.sql.ParameterMetaData;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.SQLXML;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;

import net.sf.oqt.core.CoreFactory;


class NullCallableStatement implements CallableStatement {

    NullCallableStatement(final String sql) {
        CoreFactory.getQueries().add(sql);
    }

    @Override
    public void addBatch() throws SQLException {

    }

    @Override
    public void clearParameters() throws SQLException {

    }

    @Override
    public boolean execute() throws SQLException {

        return false;
    }

    @Override
    public ResultSet executeQuery() throws SQLException {
        return new NullResultSet();
    }

    @Override
    public int executeUpdate() throws SQLException {

        return 0;
    }

    @Override
    public ResultSetMetaData getMetaData() throws SQLException {

        return null;
    }

    @Override
    public ParameterMetaData getParameterMetaData() throws SQLException {

        return null;
    }

    @Override
    public void setArray(final int arg0, final Array arg1) throws SQLException {

    }

    @Override
    public void setAsciiStream(final int arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setAsciiStream(final int arg0, final InputStream arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setAsciiStream(final int arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBigDecimal(final int arg0, final BigDecimal arg1) throws SQLException {

    }

    @Override
    public void setBinaryStream(final int arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setBinaryStream(final int arg0, final InputStream arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setBinaryStream(final int arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBlob(final int arg0, final Blob arg1) throws SQLException {

    }

    @Override
    public void setBlob(final int arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setBlob(final int arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBoolean(final int arg0, final boolean arg1) throws SQLException {

    }

    @Override
    public void setByte(final int arg0, final byte arg1) throws SQLException {

    }

    @Override
    public void setBytes(final int arg0, final byte[] arg1) throws SQLException {

    }

    @Override
    public void setCharacterStream(final int arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setCharacterStream(final int arg0, final Reader arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setCharacterStream(final int arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setClob(final int arg0, final Clob arg1) throws SQLException {

    }

    @Override
    public void setClob(final int arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setClob(final int arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setDate(final int arg0, final Date arg1) throws SQLException {

    }

    @Override
    public void setDate(final int arg0, final Date arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setDouble(final int arg0, final double arg1) throws SQLException {

    }

    @Override
    public void setFloat(final int arg0, final float arg1) throws SQLException {

    }

    @Override
    public void setInt(final int arg0, final int arg1) throws SQLException {

    }

    @Override
    public void setLong(final int arg0, final long arg1) throws SQLException {

    }

    @Override
    public void setNCharacterStream(final int arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setNCharacterStream(final int arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setNClob(final int arg0, final NClob arg1) throws SQLException {

    }

    @Override
    public void setNClob(final int arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setNClob(final int arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setNString(final int arg0, final String arg1) throws SQLException {

    }

    @Override
    public void setNull(final int arg0, final int arg1) throws SQLException {

    }

    @Override
    public void setNull(final int arg0, final int arg1, final String arg2) throws SQLException {

    }

    @Override
    public void setObject(final int arg0, final Object arg1) throws SQLException {

    }

    @Override
    public void setObject(final int arg0, final Object arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setObject(final int arg0, final Object arg1, final int arg2, final int arg3) throws SQLException {

    }

    @Override
    public void setRef(final int arg0, final Ref arg1) throws SQLException {

    }

    @Override
    public void setRowId(final int arg0, final RowId arg1) throws SQLException {

    }

    @Override
    public void setSQLXML(final int arg0, final SQLXML arg1) throws SQLException {

    }

    @Override
    public void setShort(final int arg0, final short arg1) throws SQLException {

    }

    @Override
    public void setString(final int arg0, final String arg1) throws SQLException {

    }

    @Override
    public void setTime(final int arg0, final Time arg1) throws SQLException {

    }

    @Override
    public void setTime(final int arg0, final Time arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setTimestamp(final int arg0, final Timestamp arg1) throws SQLException {

    }

    @Override
    public void setTimestamp(final int arg0, final Timestamp arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setURL(final int arg0, final URL arg1) throws SQLException {

    }

    @Override
    public void setUnicodeStream(final int arg0, final InputStream arg1, final int arg2) throws SQLException {

    }

    @Override
    public void addBatch(final String arg0) throws SQLException {

    }

    @Override
    public void cancel() throws SQLException {

    }

    @Override
    public void clearBatch() throws SQLException {

    }

    @Override
    public void clearWarnings() throws SQLException {

    }

    @Override
    public void close() throws SQLException {

    }

    @Override
    public void closeOnCompletion() throws SQLException {

    }

    @Override
    public boolean execute(final String arg0) throws SQLException {

        return false;
    }

    @Override
    public boolean execute(final String arg0, final int arg1) throws SQLException {

        return false;
    }

    @Override
    public boolean execute(final String arg0, final int[] arg1) throws SQLException {

        return false;
    }

    @Override
    public boolean execute(final String arg0, final String[] arg1) throws SQLException {

        return false;
    }

    @Override
    public int[] executeBatch() throws SQLException {

        return null;
    }

    @Override
    public ResultSet executeQuery(final String arg0) throws SQLException {
        return new NullResultSet();
    }

    @Override
    public int executeUpdate(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public int executeUpdate(final String arg0, final int arg1) throws SQLException {

        return 0;
    }

    @Override
    public int executeUpdate(final String arg0, final int[] arg1) throws SQLException {

        return 0;
    }

    @Override
    public int executeUpdate(final String arg0, final String[] arg1) throws SQLException {

        return 0;
    }

    @Override
    public Connection getConnection() throws SQLException {

        return null;
    }

    @Override
    public int getFetchDirection() throws SQLException {

        return 0;
    }

    @Override
    public int getFetchSize() throws SQLException {

        return 0;
    }

    @Override
    public ResultSet getGeneratedKeys() throws SQLException {

        return null;
    }

    @Override
    public int getMaxFieldSize() throws SQLException {

        return 0;
    }

    @Override
    public int getMaxRows() throws SQLException {

        return 0;
    }

    @Override
    public boolean getMoreResults() throws SQLException {

        return false;
    }

    @Override
    public boolean getMoreResults(final int arg0) throws SQLException {

        return false;
    }

    @Override
    public int getQueryTimeout() throws SQLException {

        return 0;
    }

    @Override
    public ResultSet getResultSet() throws SQLException {

        return null;
    }

    @Override
    public int getResultSetConcurrency() throws SQLException {

        return 0;
    }

    @Override
    public int getResultSetHoldability() throws SQLException {

        return 0;
    }

    @Override
    public int getResultSetType() throws SQLException {

        return 0;
    }

    @Override
    public int getUpdateCount() throws SQLException {

        return 0;
    }

    @Override
    public SQLWarning getWarnings() throws SQLException {

        return null;
    }

    @Override
    public boolean isCloseOnCompletion() throws SQLException {

        return false;
    }

    @Override
    public boolean isClosed() throws SQLException {

        return false;
    }

    @Override
    public boolean isPoolable() throws SQLException {

        return false;
    }

    @Override
    public void setCursorName(final String arg0) throws SQLException {

    }

    @Override
    public void setEscapeProcessing(final boolean arg0) throws SQLException {

    }

    @Override
    public void setFetchDirection(final int arg0) throws SQLException {

    }

    @Override
    public void setFetchSize(final int arg0) throws SQLException {

    }

    @Override
    public void setMaxFieldSize(final int arg0) throws SQLException {

    }

    @Override
    public void setMaxRows(final int arg0) throws SQLException {

    }

    @Override
    public void setPoolable(final boolean arg0) throws SQLException {

    }

    @Override
    public void setQueryTimeout(final int arg0) throws SQLException {

    }

    @Override
    public boolean isWrapperFor(final Class<?> iface) throws SQLException {

        return false;
    }

    @Override
    public <T> T unwrap(final Class<T> iface) throws SQLException {

        return null;
    }

    @Override
    public Array getArray(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Array getArray(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public BigDecimal getBigDecimal(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public BigDecimal getBigDecimal(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public BigDecimal getBigDecimal(final int arg0, final int arg1) throws SQLException {

        return null;
    }

    @Override
    public Blob getBlob(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Blob getBlob(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public boolean getBoolean(final int arg0) throws SQLException {

        return false;
    }

    @Override
    public boolean getBoolean(final String arg0) throws SQLException {

        return false;
    }

    @Override
    public byte getByte(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public byte getByte(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public byte[] getBytes(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public byte[] getBytes(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Reader getCharacterStream(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Reader getCharacterStream(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Clob getClob(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Clob getClob(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Date getDate(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Date getDate(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Date getDate(final int arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public Date getDate(final String arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public double getDouble(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public double getDouble(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public float getFloat(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public float getFloat(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public int getInt(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public int getInt(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public long getLong(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public long getLong(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public Reader getNCharacterStream(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Reader getNCharacterStream(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public NClob getNClob(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public NClob getNClob(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public String getNString(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public String getNString(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Object getObject(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Object getObject(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Object getObject(final int arg0, final Map<String, Class<?>> arg1) throws SQLException {

        return null;
    }

    @Override
    public Object getObject(final String arg0, final Map<String, Class<?>> arg1) throws SQLException {

        return null;
    }

    @Override
    public <T> T getObject(final int arg0, final Class<T> arg1) throws SQLException {

        return null;
    }

    @Override
    public <T> T getObject(final String arg0, final Class<T> arg1) throws SQLException {

        return null;
    }

    @Override
    public Ref getRef(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Ref getRef(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public RowId getRowId(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public RowId getRowId(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public SQLXML getSQLXML(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public SQLXML getSQLXML(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public short getShort(final int arg0) throws SQLException {

        return 0;
    }

    @Override
    public short getShort(final String arg0) throws SQLException {

        return 0;
    }

    @Override
    public String getString(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public String getString(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Time getTime(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Time getTime(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Time getTime(final int arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public Time getTime(final String arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public Timestamp getTimestamp(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public Timestamp getTimestamp(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public Timestamp getTimestamp(final int arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public Timestamp getTimestamp(final String arg0, final Calendar arg1) throws SQLException {

        return null;
    }

    @Override
    public URL getURL(final int arg0) throws SQLException {

        return null;
    }

    @Override
    public URL getURL(final String arg0) throws SQLException {

        return null;
    }

    @Override
    public void registerOutParameter(final int arg0, final int arg1) throws SQLException {

    }

    @Override
    public void registerOutParameter(final String arg0, final int arg1) throws SQLException {

    }

    @Override
    public void registerOutParameter(final int arg0, final int arg1, final int arg2) throws SQLException {

    }

    @Override
    public void registerOutParameter(final int arg0, final int arg1, final String arg2) throws SQLException {

    }

    @Override
    public void registerOutParameter(final String arg0, final int arg1, final int arg2) throws SQLException {

    }

    @Override
    public void registerOutParameter(final String arg0, final int arg1, final String arg2) throws SQLException {

    }

    @Override
    public void setAsciiStream(final String arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setAsciiStream(final String arg0, final InputStream arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setAsciiStream(final String arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBigDecimal(final String arg0, final BigDecimal arg1) throws SQLException {

    }

    @Override
    public void setBinaryStream(final String arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setBinaryStream(final String arg0, final InputStream arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setBinaryStream(final String arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBlob(final String arg0, final Blob arg1) throws SQLException {

    }

    @Override
    public void setBlob(final String arg0, final InputStream arg1) throws SQLException {

    }

    @Override
    public void setBlob(final String arg0, final InputStream arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setBoolean(final String arg0, final boolean arg1) throws SQLException {

    }

    @Override
    public void setByte(final String arg0, final byte arg1) throws SQLException {

    }

    @Override
    public void setBytes(final String arg0, final byte[] arg1) throws SQLException {

    }

    @Override
    public void setCharacterStream(final String arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setCharacterStream(final String arg0, final Reader arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setCharacterStream(final String arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setClob(final String arg0, final Clob arg1) throws SQLException {

    }

    @Override
    public void setClob(final String arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setClob(final String arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setDate(final String arg0, final Date arg1) throws SQLException {

    }

    @Override
    public void setDate(final String arg0, final Date arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setDouble(final String arg0, final double arg1) throws SQLException {

    }

    @Override
    public void setFloat(final String arg0, final float arg1) throws SQLException {

    }

    @Override
    public void setInt(final String arg0, final int arg1) throws SQLException {

    }

    @Override
    public void setLong(final String arg0, final long arg1) throws SQLException {

    }

    @Override
    public void setNCharacterStream(final String arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setNCharacterStream(final String arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setNClob(final String arg0, final NClob arg1) throws SQLException {

    }

    @Override
    public void setNClob(final String arg0, final Reader arg1) throws SQLException {

    }

    @Override
    public void setNClob(final String arg0, final Reader arg1, final long arg2) throws SQLException {

    }

    @Override
    public void setNString(final String arg0, final String arg1) throws SQLException {

    }

    @Override
    public void setNull(final String arg0, final int arg1) throws SQLException {

    }

    @Override
    public void setNull(final String arg0, final int arg1, final String arg2) throws SQLException {

    }

    @Override
    public void setObject(final String arg0, final Object arg1) throws SQLException {

    }

    @Override
    public void setObject(final String arg0, final Object arg1, final int arg2) throws SQLException {

    }

    @Override
    public void setObject(final String arg0, final Object arg1, final int arg2, final int arg3) throws SQLException {

    }

    @Override
    public void setRowId(final String arg0, final RowId arg1) throws SQLException {

    }

    @Override
    public void setSQLXML(final String arg0, final SQLXML arg1) throws SQLException {

    }

    @Override
    public void setShort(final String arg0, final short arg1) throws SQLException {

    }

    @Override
    public void setString(final String arg0, final String arg1) throws SQLException {

    }

    @Override
    public void setTime(final String arg0, final Time arg1) throws SQLException {

    }

    @Override
    public void setTime(final String arg0, final Time arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setTimestamp(final String arg0, final Timestamp arg1) throws SQLException {

    }

    @Override
    public void setTimestamp(final String arg0, final Timestamp arg1, final Calendar arg2) throws SQLException {

    }

    @Override
    public void setURL(final String arg0, final URL arg1) throws SQLException {

    }

    @Override
    public boolean wasNull() throws SQLException {

        return false;
    }

}
