/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.driver;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.DriverManager;
import java.sql.DriverPropertyInfo;
import java.sql.SQLException;
import java.sql.SQLFeatureNotSupportedException;
import java.util.Properties;
import java.util.logging.Logger;

import net.sf.oqt.core.CoreFactory;


public class NullDriver implements Driver {

    static {
        try {
            DriverManager.registerDriver(new NullDriver());
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    @Override
    public boolean acceptsURL(final String arg0) throws SQLException {
        return true;
    }

    @Override
    public Connection connect(final String arg0, final Properties arg1) throws SQLException {
        return new NullConnection();
    }

    @Override
    public int getMajorVersion() {
        return 0;
    }

    @Override
    public int getMinorVersion() {
        return 0;
    }

    @Override
    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
        return CoreFactory.getRealDriver().getParentLogger();
    }

    @Override
    public DriverPropertyInfo[] getPropertyInfo(final String arg0, final Properties arg1) throws SQLException {
        return CoreFactory.getRealDriver().getPropertyInfo(arg0, arg1);
    }

    @Override
    public boolean jdbcCompliant() {
        return CoreFactory.getRealDriver().jdbcCompliant();
    }

}
