/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.model;

import java.io.Serializable;

public enum QueryType implements Serializable {
    SELECT, INSERT, UPDATE, DELETE;

    public static QueryType getTypeFromJPQL(final String jpql) {
        if (jpql.toLowerCase().startsWith("select")) {
            return SELECT;
        }
        if (jpql.toLowerCase().startsWith("insert")) {
            return INSERT;
        }
        if (jpql.toLowerCase().startsWith("update")) {
            return UPDATE;
        }
        if (jpql.toLowerCase().startsWith("delete")) {
            return DELETE;
        }
        throw new IllegalArgumentException("unknown query type: " + (jpql.length() < 50 ? jpql : jpql.subSequence(0, 49)));
    }
}
