/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;

/**
 * A model used for the sole purpose of easy (de-)serialization.
 * 
 * @author phillip
 * 
 */
public class ResultVO implements Serializable {

    /**
     * UID
     */
    private static final long serialVersionUID = 1569049386399354104L;

    private final Set<PackageVO> packages = new TreeSet<PackageVO>();

    private final Map<String, String> dbMetaData = new HashMap<String, String>();

    public final Set<PackageVO> getPackages() {
        return packages;
    }

    public Map<String, String> getDbMetaData() {
        return dbMetaData;
    }

}
